Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.util
Class BoolList

    java.lang.Object
      org.basex.util.BoolList

    public final class BoolList

extends Object

This is a simple container for native boolean values.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`BoolList()` Default constructor.
`BoolList(int c)` Constructor, specifying the initial array size.

Method Summary
`void` | `add(boolean v)` Adds next value.
`boolean[]` | `finish()` Finishes the int array.
`boolean` | `get(int p)` Returns the specified value.
`void` | `reset()` Resets the integer list.
`void` | `set(boolean v, int p)` Sets a value at the specified position.
`int` | `size()` Returns the number of entries.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoolList

    public BoolList()

  Default constructor.

### BoolList

    public BoolList(int c)

  Constructor, specifying the initial array size.

  Parameters:
    `c` - initial size

Method Detail

### add

    public void add(boolean v)

  Adds next value.

  Parameters:
    `v` - value to be added

### size

    public int size()

  Returns the number of entries.

  Returns:
    number of entries

### get

    public boolean get(int p)

  Returns the specified value.

  Parameters:
    `p` - position
  Returns:
    value

### set

    public void set(boolean v,
                    int p)

  Sets a value at the specified position.

  Parameters:
    `v` - value to be added
    `p` - position

### finish

    public boolean[] finish()

  Finishes the int array.

  Returns:
    int array

### reset

    public void reset()

  Resets the integer list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD